'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _card = require('./card.css');

var _card2 = _interopRequireDefault(_card);

var _layout = require('../../layout');

var _reactWeui = require('react-weui');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateFormComponent = function CreateFormComponent(data, dataModel, typingChange) {
    var myComponent = void 0;
    var myCard = void 0;
    switch (dataModel.modelType) {
        case "singleCard":
            myComponent = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _layout.CardCell,
                    null,
                    _react2.default.createElement(
                        _layout.Hd,
                        null,
                        _react2.default.createElement(
                            _layout.Icon,
                            null,
                            _react2.default.createElement('img', { src: dataModel.startIcon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                        )
                    ),
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        _react2.default.createElement(
                            'div',
                            { className: _card2.default.jt_cardFontStyle },
                            data[dataModel.modelKey_1] + data[dataModel.modelKey_2]
                        )
                    )
                ),
                _react2.default.createElement(
                    _layout.CardCell,
                    null,
                    _react2.default.createElement(
                        _layout.Hd,
                        null,
                        _react2.default.createElement(
                            _layout.Icon,
                            null,
                            _react2.default.createElement('img', { src: dataModel.endIcon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                        )
                    ),
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        _react2.default.createElement(
                            'div',
                            { className: _card2.default.jt_cardFontStyle },
                            data[dataModel.modelKey_3] + data[dataModel.modelKey_4]
                        )
                    )
                )
            );
            break;
        case "operationCard":
            var fontCss = dataModel.fontSize == "big" ? _card2.default.bigFontSize : _card2.default.defaultSize;
            var fontColor = dataModel.fontColor == 'gray' ? _card2.default.grayFont : _card2.default.defaultColor;
            myCard = dataModel.cardData.map(function (item, i) {
                return _react2.default.createElement(
                    'div',
                    { key: "card" + i, className: _card2.default.jt_card },
                    _react2.default.createElement(
                        'div',
                        { className: _card2.default.jt_closeCard_div },
                        _react2.default.createElement(
                            'div',
                            { className: _card2.default.jt_closeIcon, onClick: function onClick(e) {
                                    return dataModel.closeFunc(e, i);
                                } },
                            _react2.default.createElement('img', { src: dataModel.closeIcon, width: '16px', height: '16px', alt: '' })
                        )
                    ),
                    _react2.default.createElement(
                        _layout.Cells,
                        null,
                        _react2.default.createElement(
                            _layout.Cell,
                            { layoutType: dataModel.layoutType },
                            _react2.default.createElement(
                                _layout.Hd,
                                null,
                                _react2.default.createElement(
                                    _layout.Label,
                                    null,
                                    dataModel.modelName
                                )
                            ),
                            _react2.default.createElement(
                                _layout.Bd,
                                { colorType: dataModel.colorType, big: dataModel.fontSize },
                                _react2.default.createElement(
                                    _layout.SelectContainer,
                                    null,
                                    _react2.default.createElement(_reactWeui.Select, { className: _card2.default.jt_select, name: dataModel.modelKey, disabled: dataModel.disabled == "r" || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                                            typingChange(e, i);
                                        }, value: item[dataModel.modelKey], data: dataModel.dataSource })
                                )
                            )
                        )
                    ),
                    _react2.default.createElement(
                        _layout.CombineTextCell,
                        null,
                        _react2.default.createElement(
                            'div',
                            { className: _card2.default.jt_combine_div },
                            _react2.default.createElement(
                                _layout.Hd,
                                null,
                                _react2.default.createElement(
                                    _layout.Icon,
                                    null,
                                    _react2.default.createElement('img', { src: dataModel.icon1, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                                )
                            ),
                            _react2.default.createElement(
                                _layout.Bd,
                                null,
                                _react2.default.createElement(_reactWeui.Input, { className: fontCss + ' ' + fontColor, type: dataModel.inputType, name: dataModel.modelKey1, value: item[dataModel.modelKey1], placeholder: dataModel.placeholderText1, disabled: dataModel.disabled1 == 'r' || dataModel.disabled1 == true ? true : false, onChange: function onChange(e) {
                                        typingChange(e, i);
                                    } })
                            )
                        ),
                        _react2.default.createElement(
                            'div',
                            { className: _card2.default.jt_combine_div },
                            _react2.default.createElement(
                                _layout.Hd,
                                null,
                                _react2.default.createElement(
                                    _layout.Icon,
                                    null,
                                    _react2.default.createElement('img', { src: dataModel.icon2, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                                )
                            ),
                            _react2.default.createElement(
                                _layout.Bd,
                                null,
                                _react2.default.createElement(_reactWeui.Input, { className: fontCss + ' ' + fontColor, type: dataModel.inputType, name: dataModel.modelKey2, value: item[dataModel.modelKey2], placeholder: dataModel.placeholderText2, disabled: dataModel.disabled1 == 'r' || dataModel.disabled2 == true ? true : false, onChange: function onChange(e) {
                                        typingChange(e, i);
                                    } })
                            )
                        )
                    ),
                    _react2.default.createElement(
                        _layout.CombineTextCell,
                        null,
                        _react2.default.createElement(
                            'div',
                            { className: _card2.default.jt_combine_div },
                            _react2.default.createElement(
                                _layout.Hd,
                                null,
                                _react2.default.createElement(
                                    _layout.Icon,
                                    null,
                                    _react2.default.createElement('img', { src: dataModel.icon3, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                                )
                            ),
                            _react2.default.createElement(
                                _layout.Bd,
                                null,
                                _react2.default.createElement(_reactWeui.Input, { className: fontCss + ' ' + fontColor, type: dataModel.inputType, name: dataModel.modelKey3, value: item[dataModel.modelKey3], placeholder: dataModel.placeholderText3, disabled: dataModel.disabled1 == 'r' || dataModel.disabled1 == true ? true : false, onChange: function onChange(e) {
                                        typingChange(e, i);
                                    } })
                            )
                        ),
                        _react2.default.createElement(
                            'div',
                            { className: _card2.default.jt_combine_div },
                            _react2.default.createElement(
                                _layout.Hd,
                                null,
                                _react2.default.createElement(
                                    _layout.Icon,
                                    null,
                                    _react2.default.createElement('img', { src: dataModel.icon4, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                                )
                            ),
                            _react2.default.createElement(
                                _layout.Bd,
                                null,
                                _react2.default.createElement(_reactWeui.Input, { className: fontCss + ' ' + fontColor, type: dataModel.inputType, name: dataModel.modelKey4, value: item[dataModel.modelKey4], placeholder: dataModel.placeholderText4, disabled: dataModel.disabled1 == 'r' || dataModel.disabled2 == true ? true : false, onChange: function onChange(e) {
                                        typingChange(e, i);
                                    } })
                            )
                        )
                    )
                );
            });
            myComponent = _react2.default.createElement(
                'div',
                null,
                myCard
            );
            break;
        case "card":
            myCard = dataModel.cardData.map(function (item, i) {
                return _react2.default.createElement(
                    'div',
                    { key: "card" + i, className: _card2.default.jt_card_container },
                    _react2.default.createElement(
                        _layout.CardCell,
                        null,
                        _react2.default.createElement(
                            'span',
                            { className: _card2.default.jt_cardWeight },
                            item[dataModel.modelKey_1]
                        ),
                        '\uFF08',
                        _react2.default.createElement(
                            'span',
                            { className: _card2.default.jt_cardMark },
                            (!dataModel.signIcon ? "" : dataModel.signIcon) + item[dataModel.modelKey_2]
                        ),
                        '\uFF09',
                        _react2.default.createElement(
                            'span',
                            { className: _card2.default.jt_cardGood },
                            item[dataModel.modelKey_3].join("/")
                        )
                    ),
                    _react2.default.createElement(
                        'div',
                        { className: _card2.default.jt_orderNum },
                        dataModel.modelName + item[dataModel.modelKey_4]
                    ),
                    _react2.default.createElement(
                        _layout.CardCell,
                        null,
                        _react2.default.createElement(
                            _layout.Hd,
                            null,
                            _react2.default.createElement(
                                _layout.Icon,
                                null,
                                _react2.default.createElement('img', { src: dataModel.startIcon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                            )
                        ),
                        _react2.default.createElement(
                            _layout.Bd,
                            { colorType: dataModel.colorType, big: dataModel.fontSize },
                            _react2.default.createElement(
                                'div',
                                { className: _card2.default.jt_cardFontStyle },
                                _react2.default.createElement(
                                    'div',
                                    null,
                                    !item[dataModel.modelKey_5] ? "" : item[dataModel.modelKey_5].substring(0, 16).replace("T", " ")
                                ),
                                _react2.default.createElement(
                                    'div',
                                    null,
                                    item[dataModel.modelKey_6] + item[dataModel.modelKey_7]
                                )
                            )
                        )
                    ),
                    _react2.default.createElement(
                        _layout.CardCell,
                        null,
                        _react2.default.createElement(
                            _layout.Hd,
                            null,
                            _react2.default.createElement(
                                _layout.Icon,
                                null,
                                _react2.default.createElement('img', { src: dataModel.endIcon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                            )
                        ),
                        _react2.default.createElement(
                            _layout.Bd,
                            { colorType: dataModel.colorType, big: dataModel.fontSize },
                            _react2.default.createElement(
                                'div',
                                { className: _card2.default.jt_cardFontStyle },
                                _react2.default.createElement(
                                    'div',
                                    null,
                                    !item[dataModel.modelKey_8] ? "" : item[dataModel.modelKey_8].substring(0, 16).replace("T", " ")
                                ),
                                _react2.default.createElement(
                                    'div',
                                    null,
                                    item[dataModel.modelKey_9] + item[dataModel.modelKey_10]
                                )
                            )
                        )
                    )
                );
            });
            myComponent = _react2.default.createElement(
                'div',
                null,
                myCard
            );
            /*myComponent = <Cell>
                <Bd>{data[dataModel.modelKey]}</Bd>
            </Cell>*/
            break;
        default:
            var cardItem = dataModel.cardData.map(function (item, i) {
                return _react2.default.createElement(
                    'div',
                    { key: "GroupDetail_" + i },
                    _react2.default.createElement(
                        'div',
                        { className: _card2.default.jt_cardContainer },
                        _react2.default.createElement(
                            'div',
                            { className: _card2.default.jt_preview },
                            _react2.default.createElement(
                                'div',
                                { className: _card2.default.jt_cardContentContainer },
                                _react2.default.createElement(
                                    'div',
                                    { className: _card2.default.jt_card_div },
                                    dataModel.modelCardName
                                ),
                                _react2.default.createElement(
                                    'div',
                                    { className: _card2.default.jt_card_div },
                                    item[dataModel.modelCardKey]
                                ),
                                _react2.default.createElement(
                                    'div',
                                    { className: _card2.default.jt_circleIcon },
                                    item[dataModel.modelCardStatus]
                                )
                            ),
                            _react2.default.createElement(
                                'div',
                                { className: _card2.default.jt_btn_container },
                                _react2.default.createElement(
                                    'div',
                                    { className: _card2.default.jt_btn_content },
                                    _react2.default.createElement(
                                        'div',
                                        { className: _card2.default.jt_btn, onClick: function onClick() {
                                                return dataModel.firstClickFunc(item[dataModel.modelCardId], i);
                                            } },
                                        _react2.default.createElement('img', { src: dataModel.iconOne, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' }),
                                        _react2.default.createElement(
                                            'span',
                                            { className: _card2.default.jt_btn_span },
                                            dataModel.firstBtnName
                                        )
                                    ),
                                    _react2.default.createElement(
                                        'div',
                                        { className: _card2.default.jt_btn, onClick: function onClick() {
                                                return dataModel.secondClickFunc(item[dataModel.modelCardId], i);
                                            } },
                                        _react2.default.createElement('img', { src: dataModel.iconTwo, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' }),
                                        _react2.default.createElement(
                                            'span',
                                            { className: _card2.default.jt_btn_span },
                                            dataModel.secondBtnName
                                        )
                                    )
                                )
                            )
                        )
                    )
                );
            });
            myComponent = _react2.default.createElement(
                'div',
                null,
                cardItem
            );
            break;
    }
    return myComponent;
};
var CardList = function CardList(props) {
    var bodyList = CreateFormComponent(props.data, props.dataModel, props.typingChange);
    return _react2.default.createElement(
        'div',
        null,
        bodyList
    );
};

CardList.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.object,
    typingChange: _react.PropTypes.func
};

exports.default = CardList;