'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _reactWeui = require('react-weui');

var _checkBoxCell = require('./checkBoxCell.css');

var _checkBoxCell2 = _interopRequireDefault(_checkBoxCell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateFormComponent = function CreateFormComponent(data, dataModel) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        case "radioText":
            myComponent = _react2.default.createElement(
                _layout.Label,
                { radio: true },
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(_reactWeui.Radio, { name: dataModel.modelKey, value: data[dataModel.modelKey], defaultChecked: dataModel.checked, onChange: function onChange(e) {
                            return dataModel.checkFunc(e);
                        } })
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelName]
                )
            );
            break;
        case "textRadio":
            myComponent = _react2.default.createElement(
                _layout.Label,
                { radio: true },
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType },
                    data[dataModel.modelName]
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    null,
                    _react2.default.createElement(_reactWeui.Radio, { name: dataModel.modelKey, value: data[dataModel.modelKey], defaultChecked: dataModel.checked, onChange: function onChange(e) {
                            return dataModel.checkFunc(e);
                        } })
                )
            );
            break;
        case "textCheckBox":
            myComponent = _react2.default.createElement(
                _layout.Label,
                { checkBox: true },
                _react2.default.createElement(
                    _layout.Cell,
                    null,
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        data[dataModel.modelName]
                    ),
                    _react2.default.createElement(
                        _layout.Ft,
                        null,
                        _react2.default.createElement(_reactWeui.Checkbox, { name: dataModel.modelKey, value: data[dataModel.modelKey], defaultChecked: dataModel.checked, onChange: function onChange(e) {
                                return dataModel.checkFunc(e);
                            } })
                    )
                )
            );
            break;
        default:
            // 默认是checkBoxText
            myComponent = _react2.default.createElement(
                _layout.Label,
                { checkBox: true },
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    ' ',
                    _react2.default.createElement(_reactWeui.Checkbox, { name: dataModel.modelKey, value: data[dataModel.modelKey], defaultChecked: dataModel.checked, onChange: function onChange(e) {
                            return dataModel.checkFunc(e);
                        } })
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelName]
                )
            );
            break;

    }
    return myComponent;
};
var CheckBoxCell = function CheckBoxCell(props) {
    var bodyList = CreateFormComponent(props.data, props.dataModel);
    return _react2.default.createElement(
        'div',
        { className: 'weui-cells_checkbox' },
        bodyList
    );
};

CheckBoxCell.propTypes = {
    data: _react.PropTypes.object,
    modelKey: _react.PropTypes.object
};

exports.default = CheckBoxCell;