'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _combineTypeCell = require('./combineTypeCell.css');

var _combineTypeCell2 = _interopRequireDefault(_combineTypeCell);

var _reactWeui = require('react-weui');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateCombineComponent = function CreateCombineComponent(data, dataModel, typingChange) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        case "iconCombineSelectAreaAndInput":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(
                        'div',
                        { className: _combineTypeCell2.default.selectArea_div, onClick: dataModel.clickFunc },
                        _react2.default.createElement(
                            _layout.SelectContainer,
                            null,
                            !data[dataModel.modelKey] ? "请选择所在地区" : data[dataModel.modelKey]
                        )
                    ),
                    _react2.default.createElement(_reactWeui.Input, { className: _combineTypeCell2.default.jt_borderStyle, type: dataModel.inputType, name: dataModel.inputModelKey, value: data[dataModel.inputModelKey], placeholder: dataModel.placeholderText, disabled: dataModel.disabled == 'r' || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                            typingChange(e);
                        } })
                )
            );
            break;
        case "iconCombineInput":
            var fontCss = dataModel.fontSize == "big" ? _combineTypeCell2.default.bigFontSize : _combineTypeCell2.default.defaultSize;
            var fontColor = dataModel.fontColor == 'gray' ? _combineTypeCell2.default.grayFont : _combineTypeCell2.default.defaultColor;
            myComponent = _react2.default.createElement(
                _layout.CombineTextCell,
                null,
                _react2.default.createElement(
                    'div',
                    { className: _combineTypeCell2.default.jt_combine_div },
                    _react2.default.createElement(
                        _layout.Hd,
                        null,
                        _react2.default.createElement(
                            _layout.Icon,
                            null,
                            _react2.default.createElement('img', { src: dataModel.icon1, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                        )
                    ),
                    _react2.default.createElement(
                        _layout.Bd,
                        null,
                        _react2.default.createElement(_reactWeui.Input, { className: fontCss + ' ' + fontColor, type: dataModel.inputType, name: dataModel.modelKey1, value: data[dataModel.modelKey1], placeholder: dataModel.placeholderText1, disabled: dataModel.disabled1 == 'r' || dataModel.disabled1 == true ? true : false, onChange: function onChange(e) {
                                typingChange(e);
                            } })
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: _combineTypeCell2.default.jt_combine_div },
                    _react2.default.createElement(
                        _layout.Hd,
                        null,
                        _react2.default.createElement(
                            _layout.Icon,
                            null,
                            _react2.default.createElement('img', { src: dataModel.icon2, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                        )
                    ),
                    _react2.default.createElement(
                        _layout.Bd,
                        null,
                        _react2.default.createElement(_reactWeui.Input, { className: fontCss + ' ' + fontColor, type: dataModel.inputType, name: dataModel.modelKey2, value: data[dataModel.modelKey2], placeholder: dataModel.placeholderText2, disabled: dataModel.disabled1 == 'r' || dataModel.disabled2 == true ? true : false, onChange: function onChange(e) {
                                typingChange(e);
                            } })
                    )
                )
            );
            break;
        default:

            break;
    }
    return myComponent;
};
var CombineTypeCell = function CombineTypeCell(props) {
    var bodyList = CreateCombineComponent(props.data, props.dataModel, props.typingChange);
    return _react2.default.createElement(
        'div',
        null,
        bodyList
    );
};

CombineTypeCell.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.object,
    typingChange: _react.PropTypes.func
};

exports.default = CombineTypeCell;