'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _formView = require('./formView.css');

var _formView2 = _interopRequireDefault(_formView);

var _reactWeui = require('react-weui');

var _index = require('../../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateDataMap = function CreateDataMap(DataMap, data) {
    for (var key in data) {
        if (_typeof(data[key]) == 'object' && !Array.isArray(data[key])) {
            CreateDataMap(DataMap, data[key]);
        } else {
            if (DataMap[key] == undefined) {
                DataMap[key] = data[key];
            } else {
                //todo正则表达式
            }
        }
    }
};
var CreateFormComponent = function CreateFormComponent(data, dataModel, index, typingChange, clear) {
    var myComponent = void 0;
    switch (dataModel.componentType) {
        case "inputGroup":
            myComponent = _react2.default.createElement(_index.InputCell, { key: "inputGroup" + index, data: data, dataModel: dataModel, typingChange: typingChange, clear: clear });
            break;
        case "textAreaGroup":
            myComponent = _react2.default.createElement(_index.TextareaCell, { key: "TextareaCell" + index, data: data, dataModel: dataModel, typingChange: typingChange });
            break;
        case "imageGroup":
            myComponent = _react2.default.createElement(_index.ImageCell, { key: "ImageCell" + index, data: data, dataModel: dataModel });
            break;
        case "selectGroup":
            myComponent = _react2.default.createElement(_index.SelectCell, { key: "SelectCell" + index, data: data, dataModel: dataModel, typingChange: typingChange });
            break;
        case "checkBoxGroup":
            myComponent = _react2.default.createElement(_index.CheckBoxCell, { key: "SelectCell" + index, data: data, dataModel: dataModel });
            break;
        case "switchGroup":
            myComponent = _react2.default.createElement(_index.SwitchCell, { key: "SwitchCell" + index, data: data, dataModel: dataModel });
            break;
        case "cardGroup":
            myComponent = _react2.default.createElement(_index.CardList, { key: "CardList" + index, data: data, dataModel: dataModel, typingChange: typingChange });
            break;
        case "whiteSpace":
            myComponent = _react2.default.createElement(_index.WhiteSpace, { key: "whiteSpace" + index, bgType: dataModel.bgType, big: dataModel.big });
            break;;
        case "whiteSpaceText":
            myComponent = _react2.default.createElement(
                _index.WhiteSpaceText,
                { key: "whiteSpaceText" + index, fontColorType: 'grayFont' },
                dataModel.modelName
            );
            break;
        case "combineTypeGroup":
            myComponent = _react2.default.createElement(_index.CombineTypeCell, { key: "combineTypeGroup" + index, data: data, dataModel: dataModel, typingChange: typingChange });
            break;
        // 默认状态下的text组合
        default:
            myComponent = _react2.default.createElement(_index.TextCell, { key: "TextCell" + index, data: data, dataModel: dataModel });
            break;
    }
    return myComponent;
};
var FormView = function FormView(props) {

    var data = {};
    CreateDataMap(data, props.data);
    var bodyLists = props.dataModel.map(function (param, index) {
        return CreateFormComponent(data, param, index, props.typingChange, props.clear);
    });
    var buttons = props.buttons ? props.buttons.map(function (param, t) {
        return _react2.default.createElement(
            _reactWeui.Button,
            { disabled: param.disabled, key: "btn_" + t, size: param.btnSize == undefined ? 'normal' : 'small', onClick: param.btnFunc },
            param.btnText
        );
    }) : null;
    return _react2.default.createElement(
        _layout.Cells,
        null,
        bodyLists,
        !buttons ? _react2.default.createElement('div', null) : _react2.default.createElement(
            'div',
            { className: props.btnPosition == "bottom" ? _formView2.default.btn_divContainer : "" },
            _react2.default.createElement(
                _reactWeui.ButtonArea,
                { direction: 'horizontal', className: _formView2.default.btnArea },
                buttons
            )
        )
    );
};

FormView.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.array,
    buttons: _react.PropTypes.array,
    btnPosition: _react.PropTypes.string,
    typingChange: _react.PropTypes.func,
    clear: _react.PropTypes.func
};

exports.default = FormView;