'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _image = require('./image.css');

var _image2 = _interopRequireDefault(_image);

var _close = require('./images/close.png');

var _close2 = _interopRequireDefault(_close);

var _reactWeui = require('react-weui');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateFormComponent = function CreateFormComponent(data, dataModel) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        case "image":
            var imgList = data[dataModel.modelKey].map(function (item, t) {
                return _react2.default.createElement('img', { className: _image2.default.jt_imgSize,
                    key: "img_" + t,
                    onClick: function onClick(e) {
                        return dataModel.reviewImg(e, dataModel.baseUrl == undefined ? item : dataModel.baseUrl + item, data[dataModel.modelKey]);
                    },
                    src: dataModel.baseUrl == undefined ? item : dataModel.baseUrl + item });
            });
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType },
                    imgList
                )
            );
            break;
        case "uploadImg":
            // {`${style.jt_inlineStyle}` `${style.jt_uploadImg_div}` `${style.jt_weui-uploader__input-box}`}
            var img = dataModel.ImgData.map(function (param, t) {
                return _react2.default.createElement(
                    'div',
                    { key: "div_img" + t, className: _image2.default.jt_inlineStyle + ' ' + _image2.default.jt_uploadSize },
                    _react2.default.createElement(
                        'span',
                        { className: _image2.default.jt_div_canvas_img },
                        _react2.default.createElement('img', { className: _image2.default.jt_closeImg, key: t, src: _close2.default, onClick: function onClick(e) {
                                return dataModel.delImg(e, t);
                            } }),
                        _react2.default.createElement('img', { className: _image2.default.jt_uploadSize, src: param, onClick: function onClick(e) {
                                return dataModel.viewImg(e, t);
                            } })
                    )
                );
            });
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        'div',
                        { className: _image2.default.jt_canvasCenter },
                        _react2.default.createElement(
                            'div',
                            { className: _image2.default.jt_photo_space },
                            dataModel.modelName
                        )
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    null,
                    _react2.default.createElement(
                        'div',
                        { className: _image2.default.jt_uploadImgBox_div },
                        _react2.default.createElement(
                            'div',
                            { className: _image2.default.jt_inlineStyle + ' ' + _image2.default.jt_uploadInputBox },
                            _react2.default.createElement(_reactWeui.Input, { type: 'button', className: _image2.default.jt_upload_input, accept: 'image/jpg,image/jpeg,image/png,image/gif', onClick: dataModel.uploadImgFunc })
                        ),
                        img
                    )
                )
            );
            break;
    }
    return myComponent;
};
var ImageCell = function ImageCell(props) {
    var bodyList = CreateFormComponent(props.data, props.dataModel);
    return _react2.default.createElement(
        'div',
        null,
        bodyList
    );
};

ImageCell.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.object
};

exports.default = ImageCell;