'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _reactWeui = require('react-weui');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateFormComponent = function CreateFormComponent(data, dataModel, typingChange, clear) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        case "iconInput":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(_reactWeui.Input, { type: dataModel.inputType, name: dataModel.modelKey, disabled: dataModel.disabled == 'r' || dataModel.disabled == true ? true : false, value: data[dataModel.modelKey], placeholder: "请输入" + dataModel.modelName, onChange: function onChange(e) {
                            typingChange(e);
                        } })
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    { layoutType: dataModel.layoutType },
                    data[dataModel.modelKey] && clear ? _react2.default.createElement('img', { onClick: function onClick() {
                            clear(dataModel.modelKey);
                        }, src: dataModel.closeIcon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' }) : null
                )
            );
            break;
        case "iconLabelInput":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    ),
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(_reactWeui.Input, { type: dataModel.inputType, name: dataModel.modelKey, value: data[dataModel.modelKey], placeholder: "请输入" + dataModel.modelName, disabled: dataModel.disabled == 'r' || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                            typingChange(e);
                        } })
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    { layoutType: dataModel.layoutType },
                    data[dataModel.modelKey] && clear ? _react2.default.createElement('img', { onClick: function onClick() {
                            clear(dataModel.modelKey);
                        }, src: dataModel.closeIcon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' }) : null
                )
            );

            break;
        // 默认状态下的input组合
        default:
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(_reactWeui.Input, { type: dataModel.inputType, name: dataModel.modelKey, value: data[dataModel.modelKey], disabled: dataModel.disabled == 'r' || dataModel.disabled == true ? true : false, placeholder: "请输入" + dataModel.modelName, onChange: function onChange(e) {
                            typingChange(e);
                        } })
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    { layoutType: dataModel.layoutType },
                    data[dataModel.modelKey] && clear ? _react2.default.createElement('img', { onClick: function onClick() {
                            clear(dataModel.modelKey);
                        }, src: dataModel.closeIcon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' }) : null
                )
            );
            break;
    }
    return myComponent;
};
var InputCell = function InputCell(props) {
    var bodyList = CreateFormComponent(props.data, props.dataModel, props.typingChange, props.clear);
    return _react2.default.createElement(
        'div',
        null,
        bodyList
    );
};
InputCell.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.object,
    typingChange: _react.PropTypes.func,
    clear: _react.PropTypes.func
};
InputCell.defaultValue = {
    typingChange: null,
    clear: null
};

exports.default = InputCell;