'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateFormComponent = function CreateFormComponent(data, dataModel) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        case "titleAndFootList":
            myComponent = data.map(function (n, i) {
                return _react2.default.createElement(
                    _layout.Cell,
                    { key: "list_" + i, clickFunc: function clickFunc(e) {
                            return dataModel.clickFunc(e, i);
                        } },
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        n[dataModel.modelKeyBody]
                    ),
                    _react2.default.createElement(
                        _layout.Ft,
                        { link: dataModel.link },
                        n[dataModel.modelKeyFt]
                    )
                );
            });
            break;
        default:
            myComponent = data.map(function (n, i) {
                return _react2.default.createElement(
                    _layout.Cell,
                    { key: "list_" + i, clickFunc: function clickFunc(e) {
                            return dataModel.clickFunc(e, i);
                        } },
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        n[dataModel.modelKeyBody]
                    ),
                    _react2.default.createElement(_layout.Ft, { link: dataModel.link })
                );
            });
            break;
    }
    return myComponent;
};
var ListView = function ListView(props) {
    var list = CreateFormComponent(props.data, props.dataModel);
    return _react2.default.createElement(
        _layout.Cells,
        null,
        list
    );
};

ListView.propTypes = {
    data: _react.PropTypes.array,
    clickFunc: _react.PropTypes.func,
    dataModel: _react.PropTypes.object
};

exports.default = ListView;