'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _reactWeui = require('react-weui');

var _selectCell = require('./selectCell.css');

var _selectCell2 = _interopRequireDefault(_selectCell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateFormComponent = function CreateFormComponent(data, dataModel, typingChange) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        case "select":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(
                        _layout.SelectContainer,
                        null,
                        _react2.default.createElement(_reactWeui.Select, { className: _selectCell2.default.jt_select, name: dataModel.modelKey, disabled: dataModel.disabled == "r" || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                                typingChange(e);
                            }, value: data[dataModel.modelKey], data: dataModel.dataSource })
                    )
                )
            );
            break;
        case "selectText":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.SelectContainer,
                        { before: true },
                        _react2.default.createElement(_reactWeui.Select, { className: _selectCell2.default.jt_select, name: dataModel.modelKey, disabled: dataModel.disabled == "r" || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                                typingChange(e);
                            }, value: data[dataModel.modelKey], data: dataModel.dataSource })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(_reactWeui.Input, { type: dataModel.inputType, name: dataModel.modelInputKey, value: data[dataModel.modelInputKey], placeholder: "请输入" + dataModel.modelInputName, disabled: dataModel.selectInputDisabled == 'r' || dataModel.selectInputDisabled == true ? true : false, onChange: function onChange(e) {
                            typingChange(e);
                        } })
                )
            );
            break;
        case "iconText":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(
                        _layout.SelectContainer,
                        null,
                        _react2.default.createElement(_reactWeui.Select, { className: _selectCell2.default.jt_select, name: dataModel.modelKey, disabled: dataModel.disabled == "r" || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                                typingChange(e);
                            }, value: data[dataModel.modelKey], data: dataModel.dataSource })
                    )
                )
            );
            break;
        case "iconTitleText":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    ),
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(
                        _layout.SelectContainer,
                        null,
                        _react2.default.createElement(_reactWeui.Select, { className: _selectCell2.default.jt_select, name: dataModel.modelKey, disabled: dataModel.disabled == "r" || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                                typingChange(e);
                            }, value: data[dataModel.modelKey], data: dataModel.dataSource })
                    )
                )
            );
            break;
        case "titleSelectText":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(
                        _layout.SelectContainer,
                        { before: true },
                        _react2.default.createElement(_reactWeui.Select, { className: _selectCell2.default.jt_select, name: dataModel.modelKey, disabled: dataModel.disabled == "r" || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                                typingChange(e);
                            }, value: data[dataModel.modelKey], data: dataModel.dataSource })
                    )
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(_reactWeui.Input, { type: dataModel.inputType, name: dataModel.modelInputKey, value: data[dataModel.modelInputKey], placeholder: "请输入" + dataModel.modelInputName, disabled: dataModel.selectInputDisabled == 'r' || dataModel.selectInputDisabled == true ? true : false, onChange: function onChange(e) {
                            typingChange(e);
                        } })
                )
            );
            myComponent;
            break;
        default:
            // 标题加select
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(
                        _layout.SelectContainer,
                        null,
                        _react2.default.createElement(_reactWeui.Select, { className: _selectCell2.default.jt_select, name: dataModel.modelKey, disabled: dataModel.disabled == "r" || dataModel.disabled == true ? true : false, onChange: function onChange(e) {
                                typingChange(e);
                            }, value: data[dataModel.modelKey], data: dataModel.dataSource })
                    )
                )
            );
            break;
    }
    return myComponent;
};
var SelectCell = function SelectCell(props) {
    var bodyList = CreateFormComponent(props.data, props.dataModel, props.typingChange);
    return _react2.default.createElement(
        'div',
        null,
        bodyList
    );
};

SelectCell.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.object,
    typingChange: _react.PropTypes.func
};
SelectCell.defaultValue = {
    typingChange: null
};
exports.default = SelectCell;