'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _reactWeui = require('react-weui');

var _switchCell = require('./switchCell.css');

var _switchCell2 = _interopRequireDefault(_switchCell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateFormComponent = function CreateFormComponent(data, dataModel) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        case "switchList":
            var switchList = data.switchData.map(function (param, index) {
                return _react2.default.createElement(
                    _layout.Cell,
                    { key: "switch" + index, 'switch': true },
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        param[dataModel.modelSwitchListKey]
                    ),
                    _react2.default.createElement(
                        _layout.Ft,
                        null,
                        _react2.default.createElement(_reactWeui.Switch, { checked: param[dataModel.switchListCheck], onChange: function onChange() {
                                return dataModel.switchListChange(param[dataModel.switchListParamOne], param[dataModel.switchListParamTwo]);
                            } })
                    )
                );
            });
            myComponent = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    'div',
                    null,
                    _react2.default.createElement(_reactWeui.Switch, { checked: dataModel.mainSwitchCheck, onChange: function onChange() {
                            return dataModel.mainSwitchChange();
                        } })
                ),
                switchList
            );
            break;
        default:
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { 'switch': true },
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey]
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    null,
                    _react2.default.createElement(_reactWeui.Switch, { checked: dataModel.switchCheck, onChange: function onChange() {
                            return dataModel.typingChange(data[dataModel.paramOne], data[dataModel.paramTwo]);
                        } })
                )
            );
            break;
    }
    return myComponent;
};
var SwitchCell = function SwitchCell(props) {
    var bodyList = CreateFormComponent(props.data, props.dataModel);
    return _react2.default.createElement(
        'div',
        null,
        bodyList
    );
};

SwitchCell.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.object,
    typingChange: _react.PropTypes.func
};

exports.default = SwitchCell;