'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _reactCollapse = require('react-collapse');

var _reactCollapse2 = _interopRequireDefault(_reactCollapse);

var _reactWeui = require('react-weui');

var _textCell = require('./textCell.css');

var _textCell2 = _interopRequireDefault(_textCell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreateFormComponent = function CreateFormComponent(data, dataModel) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        // 值
        case "text":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey]
                )
            );
            break;
        // icon+值
        case "preTextIcon":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey]
                )
            );
            break;
        // 值+icon
        case "textAfterIcon":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey]
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    null,
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                )
            );
            break;
        // icon+标题+值
        case "preTitleTextIcon":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    dataModel.modelName
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    null,
                    data[dataModel.modelKey]
                )
            );
            break;
        // 标题+值+icon
        case "titleTextAfterIcon":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey]
                ),
                _react2.default.createElement(
                    _layout.Ft,
                    null,
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                )
            );
            break;
        case "titleLink":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { clickFunc: function clickFunc(e) {
                        return dataModel.clickFunc(e, data);
                    } },
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    dataModel.modelName
                ),
                _react2.default.createElement(_layout.Ft, { link: dataModel.link })
            );
            break;
        case "textLink":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { clickFunc: function clickFunc(e) {
                        return dataModel.clickFunc(e, data);
                    } },
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey]
                ),
                _react2.default.createElement(_layout.Ft, { link: dataModel.link })
            );
            break;
        case "preTextIconLink":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { clickFunc: function clickFunc(e) {
                        return dataModel.clickFunc(e, data);
                    } },
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey]
                ),
                _react2.default.createElement(_layout.Ft, { link: dataModel.link })
            );
            break;
        case "iconTitleLink":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { clickFunc: function clickFunc(e) {
                        return dataModel.clickFunc(e, data);
                    } },
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    dataModel.modelName
                ),
                _react2.default.createElement(_layout.Ft, { link: dataModel.link })
            );
            break;
        case "titleTextLink":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { clickFunc: function clickFunc(e) {
                        return dataModel.clickFunc(e, data);
                    } },
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(_layout.Bd, null),
                _react2.default.createElement(
                    _layout.Ft,
                    { link: dataModel.link },
                    data[dataModel.modelKey]
                )
            );
            break;
        case "textCollapseList":
            myComponent = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _layout.Cell,
                    { clickFunc: dataModel.collapseFunc },
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        dataModel.modelName
                    ),
                    _react2.default.createElement(_layout.Ft, { link: dataModel.link, changeDirect: dataModel.changeDirect })
                ),
                _react2.default.createElement(
                    _reactCollapse2.default,
                    { isOpened: dataModel.isOpened },
                    _react2.default.createElement(
                        'div',
                        null,
                        '\u4E0B\u62C9\u7684\u5217\u8868'
                    )
                )
            );
            break;
        case "textCollapseMergeCardList":
            var mergeCardList = data[dataModel.pullDownData].map(function (n, i) {
                return _react2.default.createElement(
                    'div',
                    { key: "combine_" + i, className: _textCell2.default.cardLine + ' ' + _textCell2.default.cardStyle },
                    (!n[dataModel.modelKey1] ? "无" : n[dataModel.modelKey1]) + "/" + (!n[dataModel.modelKey2] ? "无" : n[dataModel.modelKey2]) + "/" + (!n[dataModel.modelKey3] ? "无" : n[dataModel.modelKey3])
                );
            });
            myComponent = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _layout.Cell,
                    { clickFunc: dataModel.collapseFunc },
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        dataModel.modelName
                    ),
                    _react2.default.createElement(_layout.Ft, { link: dataModel.link, changeDirect: dataModel.changeDirect })
                ),
                _react2.default.createElement(
                    _reactCollapse2.default,
                    { isOpened: dataModel.isOpened },
                    mergeCardList
                )
            );
            break;
        case "textCollapseCardList":
            var cardList = data[dataModel.pullDownData].map(function (n, i) {
                return _react2.default.createElement(
                    'div',
                    { key: "combine_" + i, className: _textCell2.default.cardLine },
                    _react2.default.createElement(
                        _layout.CombineTextCell,
                        null,
                        _react2.default.createElement(
                            'div',
                            null,
                            _react2.default.createElement(
                                'span',
                                null,
                                dataModel.modelName1
                            ),
                            _react2.default.createElement(
                                'span',
                                { className: _textCell2.default.paddingStyle + ' ' + _textCell2.default.fontStyle },
                                n[dataModel.modelKey1]
                            )
                        ),
                        _react2.default.createElement('div', null)
                    ),
                    _react2.default.createElement(
                        _layout.CombineTextCell,
                        null,
                        _react2.default.createElement(
                            'div',
                            null,
                            _react2.default.createElement(
                                'span',
                                null,
                                dataModel.modelName2
                            ),
                            _react2.default.createElement(
                                'span',
                                { className: _textCell2.default.paddingStyle + ' ' + _textCell2.default.fontStyle },
                                n[dataModel.modelKey2]
                            )
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            _react2.default.createElement(
                                'span',
                                null,
                                dataModel.modelName3
                            ),
                            _react2.default.createElement(
                                'span',
                                { className: _textCell2.default.paddingStyle + ' ' + _textCell2.default.fontStyle },
                                n[dataModel.modelKey3]
                            )
                        )
                    ),
                    _react2.default.createElement(
                        _layout.CombineTextCell,
                        null,
                        _react2.default.createElement(
                            'div',
                            null,
                            _react2.default.createElement(
                                'span',
                                null,
                                dataModel.modelName4
                            ),
                            _react2.default.createElement(
                                'span',
                                { className: _textCell2.default.paddingStyle + ' ' + _textCell2.default.fontStyle },
                                n[dataModel.modelKey4]
                            )
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            _react2.default.createElement(
                                'span',
                                null,
                                dataModel.modelName5
                            ),
                            _react2.default.createElement(
                                'span',
                                { className: _textCell2.default.paddingStyle + ' ' + _textCell2.default.fontStyle },
                                n[dataModel.modelKey5]
                            )
                        )
                    )
                );
            });
            myComponent = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _layout.Cell,
                    { clickFunc: dataModel.collapseFunc },
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        dataModel.modelName
                    ),
                    _react2.default.createElement(_layout.Ft, { link: dataModel.link, changeDirect: dataModel.changeDirect })
                ),
                _react2.default.createElement(
                    _reactCollapse2.default,
                    { isOpened: dataModel.isOpened },
                    cardList
                )
            );
            break;
        case "iconTextCollapse":
            myComponent = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _layout.Cell,
                    { clickFunc: dataModel.collapseFunc },
                    _react2.default.createElement(
                        _layout.Hd,
                        null,
                        _react2.default.createElement(
                            _layout.Icon,
                            null,
                            _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                        )
                    ),
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        dataModel.modelName
                    ),
                    _react2.default.createElement(_layout.Ft, { link: dataModel.link })
                ),
                _react2.default.createElement(
                    _reactCollapse2.default,
                    { isOpened: dataModel.isOpened },
                    dataModel.collapseList
                )
            );
            break;
        case "titleTextCollapse":
            myComponent = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _layout.Cell,
                    { clickFunc: dataModel.collapseFunc },
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        data[dataModel.modelKeyOne]
                    ),
                    _react2.default.createElement(
                        _layout.Ft,
                        { link: dataModel.link },
                        data[dataModel.modelKeyTwo]
                    )
                ),
                _react2.default.createElement(
                    _reactCollapse2.default,
                    { isOpened: dataModel.isOpened },
                    dataModel.collapseList
                )
            );
            break;
        case "cycleMergeText":
            //合并字段
            var textArr = [];
            var myText = dataModel.modelKeyArr.map(function (n) {
                textArr.push(data[n]);
            });
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    textArr.join("/")
                )
            );
            break;

        case "mergeText":
            //合并字段
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey1] + data[dataModel.modelKey2]
                )
            );
            break;
        case "iconMergeText":
            //合并字段
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Icon,
                        null,
                        _react2.default.createElement('img', { src: dataModel.icon, width: !dataModel.width ? "16px" : dataModel.width, height: !dataModel.height ? "16px" : dataModel.height, alt: '' })
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey1] + data[dataModel.modelKey2]
                )
            );
            break;
        case "mapText":
            //循环字段
            var loopName = dataModel.modelLoopKey;
            var allText = data[dataModel.modelKey].map(function (n) {
                return n[loopName];
            });
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    allText.join("/")
                )
            );
            break;
        case "TitleTime":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey].replace("T", " ").substring(0, 16)
                )
            );
            break;
        case "TitleTimeCombine":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey].replace("T", " ").substring(0, 16) + (!data[dataModel.modelKey1] ? "" : "到" + data[dataModel.modelKey1].replace("T", " ").substring(0, 16))
                )
            );
            break;
        case "list":
            //循环字段
            var listArray = data[dataModel.modelKeyArray].map(function (n, i) {
                return _react2.default.createElement(
                    _layout.Cell,
                    { key: "list_" + i, layoutType: dataModel.listLayoutType },
                    _react2.default.createElement(
                        _layout.Hd,
                        { layoutType: dataModel.listLayoutType },
                        _react2.default.createElement(
                            _layout.Label,
                            null,
                            n[dataModel.listModelName]
                        )
                    ),
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        _react2.default.createElement(_reactWeui.Input, { type: n[dataModel.listInputType], name: n[dataModel.listModelKey], value: n[dataModel.listModelKey], disabled: n[dataModel.listInputDisabled] == 'r' || n[dataModel.listInputDisabled] == true ? true : false, placeholder: "请输入" + n[dataModel.listModelName], onChange: function onChange(e) {
                                typingChange(e);
                            } })
                    )
                );
            });
            myComponent = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _layout.Cell,
                    null,
                    _react2.default.createElement(
                        _layout.Hd,
                        null,
                        _react2.default.createElement(
                            _layout.Label,
                            null,
                            data[dataModel.modelName]
                        )
                    ),
                    _react2.default.createElement(
                        _layout.Bd,
                        { colorType: dataModel.colorType, big: dataModel.fontSize },
                        data[dataModel.modelKey]
                    ),
                    _react2.default.createElement(_layout.Ft, { link: dataModel.link })
                ),
                _react2.default.createElement(
                    _reactCollapse2.default,
                    { isOpened: dataModel.isOpened },
                    listArray
                )
            );
            break;
        default:
            // 默认是 标题+值
            myComponent = _react2.default.createElement(
                _layout.Cell,
                null,
                _react2.default.createElement(
                    _layout.Hd,
                    null,
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    data[dataModel.modelKey]
                )
            );
            break;
    }
    return myComponent;
};
var TextCell = function TextCell(props) {
    var bodyList = CreateFormComponent(props.data, props.dataModel);
    return _react2.default.createElement(
        'div',
        null,
        bodyList
    );
};

TextCell.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.object
};

exports.default = TextCell;