'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _layout = require('../../layout');

var _reactWeui = require('react-weui');

var _textarea = require('./textarea.css');

var _textarea2 = _interopRequireDefault(_textarea);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import 'weui';
// import 'react-weui/build/dist/react-weui.css';
var CreateFormComponent = function CreateFormComponent(data, dataModel, typingChange) {
    var myComponent = void 0;
    switch (dataModel.modelType) {
        case "titleTextArea":
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Hd,
                    { layoutType: dataModel.layoutType },
                    _react2.default.createElement(
                        _layout.Label,
                        null,
                        dataModel.modelName
                    )
                ),
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(
                        _reactWeui.TextArea,
                        { className: _textarea2.default.fontSize, onChange: function onChange(e) {
                                typingChange(e);
                            }, name: dataModel.modelKey, placeholder: dataModel.modelName, value: data[dataModel.modelKey] },
                        data[dataModel.modelKey]
                    )
                )
            );
            break;
        default:
            myComponent = _react2.default.createElement(
                _layout.Cell,
                { layoutType: dataModel.layoutType },
                _react2.default.createElement(
                    _layout.Bd,
                    { colorType: dataModel.colorType, big: dataModel.fontSize },
                    _react2.default.createElement(
                        _reactWeui.TextArea,
                        { className: _textarea2.default.fontSize, onChange: function onChange(e) {
                                typingChange(e);
                            }, name: dataModel.modelKey, placeholder: dataModel.modelName, value: data[dataModel.modelKey] },
                        data[dataModel.modelKey]
                    )
                )
            );
            break;

    }
    return myComponent;
};
var TextareaCell = function TextareaCell(props) {
    var bodyList = CreateFormComponent(props.data, props.dataModel, props.typingChange);
    return _react2.default.createElement(
        'div',
        null,
        bodyList
    );
};
TextareaCell.propTypes = {
    data: _react.PropTypes.object,
    dataModel: _react.PropTypes.object,
    typingChange: _react.PropTypes.func
};
TextareaCell.defaultValue = {
    typingChange: null
};
exports.default = TextareaCell;