'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.showToast = exports.hideToast = exports.showLoading = undefined;

var _rcNotification = require('rc-notification');

var _rcNotification2 = _interopRequireDefault(_rcNotification);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _toast = require('./toast.css');

var _toast2 = _interopRequireDefault(_toast);

var _success = require('./success.svg');

var _success2 = _interopRequireDefault(_success);

var _fail = require('./fail.svg');

var _fail2 = _interopRequireDefault(_fail);

var _loading = require('./loading.svg');

var _loading2 = _interopRequireDefault(_loading);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var notification = _rcNotification2.default.newInstance({});

function showLoading(key, contentText) {
    notification.notice({
        key: key,
        content: _react2.default.createElement(
            'div',
            { className: _toast2.default.jt_toastMask },
            _react2.default.createElement(
                'div',
                { className: _toast2.default.jt_img_divContainer },
                _react2.default.createElement('img', { className: _toast2.default.jt_loading_img, src: _loading2.default }),
                _react2.default.createElement(
                    'div',
                    { className: _toast2.default.jt_loadingText },
                    contentText
                )
            )
        ),
        duration: null

    });
}
function showToast(key, iconType, duration, contentText) {
    var icon = iconType == "success" ? _success2.default : _fail2.default;
    notification.notice({
        key: key,
        content: _react2.default.createElement(
            'div',
            { className: _toast2.default.jt_toastMask },
            _react2.default.createElement(
                'div',
                { className: _toast2.default.success_divContainer },
                _react2.default.createElement('img', { className: _toast2.default.success_Img, src: icon }),
                _react2.default.createElement(
                    'div',
                    { className: _toast2.default.successText },
                    contentText
                )
            )
        ),
        duration: duration,
        onClose: function onClose() {
            console.log('closable close');
        },

        closable: true
    });
}
function hideToast(key) {
    notification.removeNotice(key);
}
exports.showLoading = showLoading;
exports.hideToast = hideToast;
exports.showToast = showToast;