'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Cell = require('../Cell/Cell.css');

var _Cell2 = _interopRequireDefault(_Cell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Cell = function Cell(props) {
    var css = props.layoutType == "block" ? _Cell2.default.verticalLayout : _Cell2.default.horizontalLayout;
    var accessFunc = props.clickFunc ? props.clickFunc : null;
    var componentCss = props.switch ? _Cell2.default.jt_switch : "";
    return _react2.default.createElement(
        'div',
        { className: css + ' ' + componentCss, onClick: accessFunc },
        props.children
    );
};
Cell.propTypes = {
    layoutType: _react.PropTypes.string, //判断是横布局还是竖布局(layoutType:block),默认横布局
    clickFunc: _react.PropTypes.func
};
Cell.defaultValue = { //判断是横布局还是竖布局(layoutType:block),默认横布局
    clickFunc: null
};
exports.default = Cell;